MojoMojo::Controller::Gallery(3)

NAME
MojoMojo::Controller::Gallery - Page gallery.

SYNOPSIS
See MojoMojo

DESCRIPTION
Controller for page photo galleries.

METHODS

  default
Private action to return a 404 not found page.

  gallery ( .gallery )
Show a gallery page for the current node.

  by_tag ( .gallery/by_tag )
Show a gallery by a given tag. Will also show photos in the descendants of the page with the given tag.

  photo ( .photo/<id> )
Show a gallery photo page.

  ( /photo_by_tag/<id> )
Show a picture in tag gallery.

  submittag ( /gallery/submittag )
Add a tag through form submit.

  tag ( /.jsrpc/tag )
Add a tag to a page. Forwards to inline_tags.

  untag ( .gallery/untag )
Remove a tag from a page. Forwards to inline_tags.

  inline_tags ( .gallery/tags )
Make a list of the user's tags and popular tags, or just popular tags if no user is logged in.

  description ( .gallery/description )
AJAX method for updating picture descriptions inline.

  title ( .gallery/title )
AJAX method for updating picture titles inline.

AUTHOR
Marcus Ramberg <mramberg@cpan.org>

LICENSE
This library is free software. You can redistribute it and/or modify it under the same terms as Perl itself.